# Method: grants.create

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/grants/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/grants/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/grants/create#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/grants/create#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/grants/create#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/grants/create#try-it)

Grant access for a user to the given package.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/{parent=developers/*/users/*}/grants`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The user which needs permission. Format: developers/{developer}/users/{user} |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/grants#Grant`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/grants#Grant`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`